---
title: '-moz-outline-radius'
slug: Web/CSS/-moz-outline-radius
tags:
  - CSS
  - CSS Property
  - 'CSS:Mozilla Extensions'
  - Non-standard
  - Reference
  - 'recipe:css-shorthand-property'
---
<div>{{CSSRef}}{{Non-standard_header}}</div>

<p>In Mozilla applications like Firefox, the <strong><code>-moz-outline-radius</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Shorthand_properties">shorthand property</a> can be used to give an element's {{cssxref("outline")}} rounded corners.</p>

<pre class="brush:css notranslate">/* One value */
-moz-outline-radius: 25px;

/* Two values */
-moz-outline-radius: 25px 1em;

/* Three values */
-moz-outline-radius: 25px 1em 12%;

/* Four values */
-moz-outline-radius: 25px 1em 12% 4mm;

/* Global values */
-moz-outline-radius: inherit;
-moz-outline-radius: initial;
-moz-outline-radius: unset;
</pre>

<h2 id="Constituent_properties">Constituent properties</h2>

<p>This property is a shorthand for the following CSS properties:</p>

<ul>
 <li><a href="/en-US/docs/Web/CSS/-moz-outline-radius-bottomleft"><code>-moz-outline-radius-bottomleft</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/-moz-outline-radius-bottomright"><code>-moz-outline-radius-bottomright</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/-moz-outline-radius-topleft"><code>-moz-outline-radius-topleft</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/-moz-outline-radius-topright"><code>-moz-outline-radius-topright</code></a></li>
</ul>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<div class="note">Elliptical outlines and <code>&lt;percentage&gt;</code> values follow the syntax described in {{cssxref("border-radius")}}.</div>

<p>One, two, three or four <code>&lt;outline-radius&gt;</code> values, represents one of:</p>

<dl>
 <dt>{{cssxref("&lt;length&gt;")}}</dt>
 <dd>See {{cssxref("&lt;length&gt;")}} for possible values.</dd>
 <dt>{{cssxref("&lt;percentage&gt;")}}</dt>
 <dd>A {{cssxref("&lt;percentage&gt;")}}; see {{cssxref("border-radius")}} for details.</dd>
</dl>

<ul>
 <li>If a single value is set, it applies to all 4 corners.</li>
 <li>If two values are set, the first one applies to the top-left and bottom-right corners and the second one to the top-right and bottom-left corners.</li>
 <li>If three values are set, the first one applies to the top-Left corner, the second one to the top-right and bottom-left corners and the third one to the bottom-right corner.</li>
 <li>If four values are set, the first one applies to the top-left corner, the second one to the top-right corner, the third one to the bottom-right corner and the fourth one to the bottom-left corner.</li>
</ul>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Rounding_an_outline">Rounding an outline</h3>

<p>Note: This example will not display the desired effect if you are viewing this in a browser other than Firefox.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;This element has a rounded outline!&lt;/p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">p {
  margin: 5px;
  border: 1px solid black;
  outline: dotted red;
  -moz-outline-radius: 12% 1em 25px;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Rounding_an_outline')}}</p>

<h2 id="Notes">Notes</h2>

<ul>
 <li><code>dotted</code> or <code>dashed</code> radiused corners were rendered as solid until Firefox 50, {{bug("382721")}}</li>
 <li>Future versions of Gecko/Firefox may drop this property completely. See {{bug("593717")}}.</li>
</ul>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.-moz-outline-radius")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/Mozilla_Extensions">Mozilla CSS extensions</a></li>
 <li>Related CSS properties:
  <ul>
   <li><code><a href="/en-US/docs/Web/CSS/outline">outline</a></code></li>
  </ul>
 </li>
</ul>
